lkml.org 
[lkml]   [2019]   [Jan]   [29]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
Date
From
SubjectRe: [PATCH 4.19 006/103] net: phy: phy driver features are mandatory
> > Hi
> >
> > This points to an issue with the Generic 10G PHY driver. The following patch seems to be missing from the 4.19 stable tree and should be merged:
> > f802912 net: phy: genphy_10g_driver: Avoid NULL pointer dereference
>
> But that patch says it:
> Fixes: 719655a14971 ("net: phy: Replace phy driver features u32 with link_mode bitmap")
>
> Which is not in 4.19.y, it showed up in 4.20.
>
> Ah, wait, I think that there was a patch backported to the 4.19.y queue
> that should not have, specifically:
> 3e64cf7a435e ("net: phy: phy driver features are mandatory")
> which said it too fixes:
> 719655a14971 ("net: phy: Replace phy driver features u32 with link_mode bitmap")

Hi Greg

None of these patches should be backported to v4.19. All the link mode
and features stuff is v4.20 and later.

Thanks
Andrew

\
 
 \ /
  Last update: 2019-01-29 18:04    [W:0.091 / U:3.588 seconds]
©2003-2020 Jasper Spaans|hosted at Digital Ocean and TransIP|Read the blog|Advertise on this site